//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// BUSY STATE MANIPULATION — FUNCTIONS:
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

function BusyState_IsActive(): boolean {
   return Magistral.IsInBusyState()
}
function BusyState_Activate( operationText: string|null,
                             allowOpCancellation: boolean=true ) {
   Magistral.SetBusyState(operationText, allowOpCancellation)
}

function BusyState_SetOperationText( operationText: string|null,
                                     allowOpCancellation: boolean=true ) {
   Magistral.SetOperationText(operationText, allowOpCancellation)
}
function BusyState_NotifyOpAbandoned(deactivate: boolean) {
   Magistral.NotifyOpAbandoned(deactivate)
}

function BusyState_Deactivate() {
   Magistral.ResetBusyState()
}

//==================================================================================================
